SpyBara
Go Premium

resources/evals/subresources/runs/methods/delete/index.md 2026-07-10 23:02 UTC to 2026-07-12 06:58 UTC

This page contains 1 addition and 1 deletion.

2026
Thu 9 20:58 Sun 12 06:58

Delete eval run

delete /evals/{eval_id}/runs/{run_id}

Delete an eval run.

Path Parameters

  • eval_id: string

  • run_id: string

Returns

  • deleted: optional boolean

  • object: optional string

  • run_id: optional string

Example

curl https://api.openai.com/v1/evals/$EVAL_ID/runs/$RUN_ID \
    -X DELETE \
    -H "Authorization: Bearer $OPENAI_API_KEY"

Response

{
  "deleted": true,
  "object": "eval.run.deleted",
  "run_id": "evalrun_677469f564d48190807532a852da3afb"
}

Example

curl https://api.openai.com/v1/evals/eval_123abc/runs/evalrun_abc456 \
  -X DELETE \
  -H "Authorization: Bearer $OPENAI_API_KEY" \
  -H "Content-Type: application/json"

Response

{
  "object": "eval.run.deleted",
  "deleted": true,
  "run_id": "evalrun_abc456"
}